function [xS,xD] = diffTZ(x,M,beta)
  Nx = length(x);
% Generate the differentiation filter impulse response 
  n=-M:M; hD=cos(pi*n)./n; hD(M+1)=0;
% Window it using the Kaiser window
  w = kaiser(2*M+1,beta)'; hD = hD .* w;
% Filter the signal
  xD = conv(x,hD);
% Synchronize and remove transient states
  xS =  x(M+1:Nx-M)
  xD = xD(2*M+1:Nx);
end